<div class="container p-3">
  <div class="row">
    <div class="col">
      <h2>All Orders</h2>
    </div>
  </div>  
  <div class="table-responsive">
    <table class="table table-striped">
      <tr class="header text-center">
        <th>Buyer</th>
        <th>Shipping Address</th>
        <th>Status</th>
        <th>Order Items</th>
        <% if current_user.has_role? :Vendor %>
        <th>Actions</th>
        <%end %>
      </tr>
      <% @orders.each do |order| %>
          <tr class="<%= cycle('odd', 'even') %> text-center">
            <td><%= User.find(order.user_id).firstname %></td>
            <td><%= order.address %></td>
            <td><%= order.status %></td>
            <td><%= link_to "View", order_item_path(:id=>order.id) %></td> 
            <% if current_user.has_role? :Vendor %>
            <td>
              <div class="row">
                <div class="col">
                  <%= link_to "Edit", edit_order_path(order) %>      
                </div>
              </div>  
            </td>
            <% end %>
          </tr>
      <% end %>
    </table>
  </div>
</div>
